=== debian/changelog ===
ros-rolling-microstrain-inertial-driver (2.5.0-1focal) focal; urgency=high

  * Only attempts to publish GNSS aiding status if the pointer has been initialized
  * Added RTK v2 support
    * Upgraded to MSCL 63.1.0
  * Adds ability to use ROS time when populating messages
  * Fixes "does not support" logs
  * Fixed submodule initialization
  * Contributors: dacuster, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 27 Jan 2022 05:00:00 -0000

ros-rolling-microstrain-inertial-driver (2.4.0-1focal) focal; urgency=high

  * BREAKING: Changes default namespace from /gx5 to / which is more generic to all usecases as customers are often not using a gx5 device
  * BREAKING: Changes the name argument to namespace which is more descriptive of what it was doing
  * Moves most launch file parameters to yml file and allows user to override all default parameters by specifying a different yml file via the params_file argument
  * Adds new argument node_name to launch file that allows users to change the name of the node
  * Adds documentation for each launch file argument
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 05 Jan 2022 05:00:00 -0000

ros-rolling-microstrain-inertial-driver (2.3.0-1focal) focal; urgency=high

  * BREAKING: Updates device_report_service to return the device information instead of just printing it
  * Publishes Aiding Measurement Summary messages to topic nav/aiding_summary
  * Publishes Fix Info messages to topic gnss1/fix_info and gnss2/fix_info
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 22 Dec 2021 05:00:00 -0000

ros-rolling-microstrain-inertial-driver (2.2.0-1focal) focal; urgency=high

  * Adds set filter speed lever arm service to allow users to configure Measurement Speed Lever Arm at runtime with a service call
  * Subscribes to external speed measurements
  * Adds ability to configure hardware odometer at config time by sending the Odometer Settings command based on launch config
  * Adds RTCM subscriber that will subscribe to RTCM corrections as mavros_msgs/RTCM messages and send them to the GQ7 through the aux port
  * Adds NMEA publisher that will read NMEA sentences from the GQ7 aux port and publish them as nmea_msgs/Sentence messages to a topic
  * Updates to use FACTORY_STREAMING_MERGE instead of manually casting the hex value when factory streaming is enabled
  * Updates udev rules to differentiate between main and aux ports
  * Contributors: ianmooreparker, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 03 Dec 2021 05:00:00 -0000

ros-rolling-microstrain-inertial-driver (2.1.0-1focal) focal; urgency=high

  * Adds transform broadcaster that will publish transform between filter_frame_id and filter_child_frame_id
  * Corrects some ENU conversions that were not being properly made
  * Properly disables/enables RTK dongle based on launch config
  * Publishes RTK data even when device_setup is set to false if the device was configured to send RTK data
  * Contributors: ianmooreparker, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 12 Nov 2021 05:00:00 -0000

ros-rolling-microstrain-inertial-driver (2.0.6-1focal) focal; urgency=high

  * Fixes CMake build errors experienced on the build farm
  * Contributors: Rob Fisher, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 22 Oct 2021 04:00:00 -0000

ros-rolling-microstrain-inertial-driver (2.0.5-1focal) focal; urgency=high

  * Updates maintainers and dependencies in preparation for ROS build farm
  * Updates submodule to check for correct architecture
  * Moves submodules to subdirectory to get bloom working
  * Renames packages to be more consistent with ROS naming conventions
  * Contributors: Rob Fisher, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 21 Oct 2021 04:00:00 -0000

ros-rolling-microstrain-inertial-driver (1.1.4-1focal) focal; urgency=high

  * Installs MSCL from CMake to hopefully allow this package to be built in the buildfarm
  * Merge pull request #70 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/70> from ori-drs/master
    [ros_mscl] Turn filter_data_rate and imu_data_rate into an argument
  * [ros_mscl] Turn filter_data_rate and imu_data_rate into an argument
  * Eliminated build warnings
  * Fixed a bug that wouldn't allow the rtk dongle to be enabled as it was using the wrong variable to enable it.
  * See changelog
  * Added aiding measurement summary for each GNSS (GQ7 only)
    Added MSCL version output when node starts
  * Merge pull request #50 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/50> from civerachb-cpr/master
    Add an arg to enable setting NED/ENU frame parameter
  * Add an arg to enable setting NED/ENU frame parameter
  * Contributors: Chris Iverach-Brereton, Nathan Miller, Wolfgang Merkt, nathanmillerparker, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 30 Jul 2021 04:00:00 -0000

ros-rolling-microstrain-inertial-driver (1.1.3-1focal) focal; urgency=high

  * Removed duplicate Filter LLH Pos entry in message format
    Preparing for release on Bloom
  * Merge pull request #49 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/49> from civerachb-cpr/rosdep-fix
    Add tf2_geometry_msgs as a dependency
  * Add tf2_geometry_msgs as a dependency
  * Merge pull request #48 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/48> from civerachb-cpr/master
    Make frame IDs configurable
  * Add args for all of the frame ids to allow them to be modified when launching.  Keep the old static values as the defaults.
  * Added frame ids back in to not break existing configurations
  * Added a flag to set ENU as the local reference frame
    Moved sensor2vehicle frame transformation setting code to occur if filter data is not enabled
    See changelog for more info
  * Added user notifications in the case a command isn't supported by a device.
    Added support for the speedometer lever arm offset command

