=== debian/control ===
Source: ros-rolling-microstrain-inertial-driver
Section: misc
Priority: optional
Maintainer: Rob Fisher <rob.fisher@parker.com>
Build-Depends: debhelper (>= 9.0.0), curl, jq, libcurl4-openssl-dev, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cpplint, ros-rolling-diagnostic-updater, ros-rolling-geometry-msgs, ros-rolling-lifecycle-msgs, ros-rolling-mavros-msgs, ros-rolling-microstrain-inertial-msgs, ros-rolling-nav-msgs, ros-rolling-nmea-msgs, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-environment, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: https://github.com/LORD-MicroStrain/microstrain_inertial
Standards-Version: 3.9.2

Package: ros-rolling-microstrain-inertial-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-diagnostic-aggregator, ros-rolling-diagnostic-updater, ros-rolling-geometry-msgs, ros-rolling-lifecycle-msgs, ros-rolling-mavros-msgs, ros-rolling-microstrain-inertial-msgs, ros-rolling-nav-msgs, ros-rolling-nmea-msgs, ros-rolling-rclcpp-lifecycle, ros-rolling-rosidl-default-runtime, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: The ros_mscl package provides a driver for the LORD/Microstrain inertial products.
